@import "sass-essentials";

.text-dropdown {
  display: inline-block;
  margin-bottom: 20px;
  width: 100%;
}

.text-dropdown__toggle {
  text-decoration: none;
  position: relative;
  text-align: left;
  border-radius: 5px;
  background: transparent;
  transition: all 0.2s ease;
  padding: 0 20px 0 0;
  word-break: break-word;

  &:hover,
  &:focus {
    background: transparent;
    text-decoration: underline;
  }

  svg {
    transition: all 0.2s ease;
    height: 22px;
    width: 14px;
    position: absolute;
    top: 50%;
    right: 0;
    transform: translateY(-50%) rotate(0deg);
  }
  &.js-open svg {
    transform: translateY(-50%) rotate(-180deg);
  }
}

.text-dropdown__content {
  display: none;
  padding: 15px 0;
  margin: 0;

  .form-item--checkbox ~ & {
    margin-left: 32px;
  }

  p {
    margin-bottom: 0;
  }
}
